# I love OpenSource :-(

%define name unicorn
%define version 0.9.3
%define mdkrelease 4
%define release %mkrel %{mdkrelease}

Summary:	unicorn utility for BeWan Architecture support.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	unicorn-%{version}.tar.bz2
Source1:	module_param.patch
Patch0:		unicorn-0.9.3-set_cpus_allowed.patch
#Patch0:		maxpacket.patch.bz2
#Patch0:		unicorn-0.8.7-fno-gnu-linker.patch.bz2
#Patch1:		unicorn-0.8.7-set_cpus_allowed.patch.bz2
License:	BeWan 2004
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk-devel, automake1.4

%description -n %{name}
BeWan Architecture utility.

%package -n dkms-%{name}
Summary:	unicorn kernel module for BeWan Architecture support.
Group:		System/Kernel and hardware
Requires(post):		dkms
Requires(preun):		dkms
Requires:	gcc-c++

%description -n dkms-%{name}
unicorn Architecture support for Linux kernel %{kernel_version}

%prep
%setup -q -n %{name}
%patch0 -p1 -b .set_cpus_allowed
#%patch0 -p1 -b .maxpacket
#%patch1 -p1 -b .set_cpus_allowed
pushd adsl_status
%configure
popd

%build
%make -C adsl_status

%install
rm -rf $RPM_BUILD_ROOT
# utils 
%make -C adsl_status DESTDIR="$RPM_BUILD_ROOT" install
%find_lang bewan_adsl_status

# driver source
mkdir -p $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{version}
cp -r * $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{version}
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{version}/patches/
cat > $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{version}/dkms.conf <<EOF
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}

DEST_MODULE_LOCATION[0]=/kernel/drivers/net
DEST_MODULE_LOCATION[1]=/kernel/drivers/net
DEST_MODULE_LOCATION[2]=/kernel/drivers/usb/net
DEST_MODULE_LOCATION[3]=/kernel/drivers/usb/net
BUILT_MODULE_NAME[0]=unicorn_pci_atm
BUILT_MODULE_LOCATION[0]=unicorn_pci
BUILT_MODULE_NAME[1]=unicorn_pci_eth
BUILT_MODULE_LOCATION[1]=unicorn_pci
BUILT_MODULE_NAME[2]=unicorn_usb_atm
BUILT_MODULE_LOCATION[2]=unicorn_usb
BUILT_MODULE_NAME[3]=unicorn_usb_eth
BUILT_MODULE_LOCATION[3]=unicorn_usb
MAKE[0]="make KERNEL_SOURCES=\${kernel_source_dir} modules"
CLEAN="make clean"

PATCH[0]=module_param.patch
PATCH_MATCH[0]="2.6.17.*"

AUTOINSTALL=yes
EOF

%post -n dkms-%{name}
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %name -v %version
/usr/sbin/dkms --rpm_safe_upgrade build -m %name -v %version
/usr/sbin/dkms --rpm_safe_upgrade install -m %name -v %version

%preun -n dkms-%{name}
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %name -v %version --all

%clean
rm -rf $RPM_BUILD_ROOT

%files -f bewan_adsl_status.lang
%defattr(-,root,root)
%doc COPYING COPYING.GPL README
%{_bindir}/*
%{_datadir}/bewan_adsl_status/pixmaps/*

%files -n dkms-%{name}
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}/*
%dir %{_usr}/src/%{name}-%{version}
%{_usr}/src/%{name}-%{version}/*


%changelog
* Sat Mar 31 2007 Olivier Blin <oblin@mandriva.com> 0.9.3-4mdv2007.1
+ Revision: 150137
- use find_lang macro

* Thu Mar 29 2007 Olivier Blin <oblin@mandriva.com> 0.9.3-3mdv2007.1
+ Revision: 149923
- do not try to run set_cpus_allowed(), it is a GPL symbol that is not exported for proprietary code (and it is probably not correct)

* Thu Mar 29 2007 Olivier Blin <oblin@mandriva.com> 0.9.3-2mdv2007.1
+ Revision: 149669
- fix clean rule so that static libs are not removed
- make the dkms package require g++
- remove obsolete requires
- remove hardcoded packager and prefix tag
- fix prereq usage
- Import unicorn



* Mon Aug 14 2006 Arnaud Patard <apatard@mandriva.com> 0.9.3-1mdv2007
- New version

* Mon Sep  5 2005 Arnaud Patard <apatard@mandriva.com> 0.9.2-1mdk
- New version

* Thu Mar 24 2005 Arnaud Patard <apatard@mandrakesoft.com> 0.9.0-3mdk
- Corrected the build-fix for 2.6.11

* Fri Mar 11 2005 Arnaud Patard <apatard@mandrakesoft.com> 0.9.0-2mdk
- Make it compile on 2.6.11

* Thu Jan  6 2005 Arnaud Patard <apatard@mandrakesoft.com> 0.9.0-1mdk
- new version

* Tue Sep 14 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.8.7-3mdk
- dkms support.

* Mon Jun 21 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.8.7-2mdk
- remove fno-gnu-linker gcc option from CFLAGS (deprecated).

* Wed Mar 31 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.8.7-1mdk
- bump to 0.8.7 version.

* Mon Mar 22 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.8.6-2mdk
- add 2.6 kernel support.
- gzip modules.

* Thu Mar 18 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.8.6-1mdk
- 0.8.6.

* Thu Mar 11 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.8.1-2mdk
- remove asynchronous depmod.

* Mon Mar 08 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.8.1-1mdk
- do configure for adsl_status.

* Thu Feb 26 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.8.0-1mdk
- First version (build only on 2.4 kernel series).

# Local Variables:
# rpm-spec-insert-changelog-version-with-shell: t
# End:
